Author Topic: Can't Properly Install the 2.0 Patch  (Read 948 times)

LakotaWolf

  • Guest
Can't Properly Install the 2.0 Patch
« on: August 04, 2011, 01:19:52 AM »
Hi guys,

I tried to patch my game to 2.0 via the Launcher tonight. My computer went through the whole rigamarole of downloading the patch, executing the patch file, and installing the patch. There were no issues or error messages during downloading or installation.

However, once the installation finished, the Launcher relaunched, and it said my game version was still 1.3.15.00107. It brought up the dialogue box again that told me I needed to patch my game.

I let the patcher run again all through download and installation, thinking maybe my original download had gotten corrupted, but it still didn't "stick", the game still said I was running version 1.3.

Finally I rebooted after an installation attempt, but the game was still on version 1.3.

I tried running the game and ignoring the patch message, and when I loaded up my Kingdom, all I had was the brown/tan blank kingdom background image. There was no UI and no buildings. I quit the game because I was concerned that I was going to corrupt my save files.

I tried rebooting my computer a few more times and patching, but nothing stuck.

I tried running the Launcher in Administrator mode, but that didn't work.

I even "manually" downloaded the 2.0 patch to my Desktop and tried running that to patch the game, but it didn't work. I tried running that .exe file in Administrator mode too, but nothing.

Does anyone have any suggestions for anything else I can try to PROPERLY patch my game? :/

I'm running Windows 7 64-bit, if that makes a difference.

Thank you :}

EDIT: I contacted EA Support and was told to download the 1.1 patch. This makes absolutely no sense as a solution, as my game was version 1.3 when I downloaded it from Origin, so I already HAD the 1.1 patch installed. I guess I can try uninstalling my game and reinstalling it, but being told to install version 1.1 as a fix is just ridiculous.